## linaro-boot-utils 0.1

=== Makefile ===
CFLAGS = -g -O2 -Wall

prog = usbboot

all: $(prog)

install: all
	install -d $(DESTDIR)/usr/bin
	install $(prog) $(DESTDIR)/usr/bin

%.o: %.c
	$(CC) $(CFLAGS) -c $< -o $@ -MD -MT $@ -MF $(@:%o=%d)

objs = usbboot.o usb_linux.o


$(prog): $(objs)
	$(CC) $(CFLAGS) -o $@ $(objs)

clean:
	rm -rf $(prog) $(objs) $(deps)

deps = $(objs:%o=%d)

-include $(deps)

=== debian/changelog ===
linaro-boot-utils (0.1-0ubuntu1) quantal; urgency=low

  * Releasing 0.1-0ubuntu1 

 -- John Rigby <john.rigby@linaro.org>  Mon, 20 Aug 2012 10:36:52 -0600

linaro-boot-utils (0.1-0ubuntu1~ppa) quantal; urgency=low

  * Update control to point to correct git repo on git.lianro.org
  * Change to quantal

 -- John Rigby <john.rigby@linaro.org>  Thu, 02 Aug 2012 13:42:43 -0600

linaro-boot-utils (0.1-0ubuntu1~ppa~oneiric) oneiric; urgency=low

  * Initial release
    Based on upstream release 0.1

 -- John Rigby <john.rigby@linaro.org>  Tue, 15 Nov 2011 00:08:22 -0700

=== debian/control ===
Source: linaro-boot-utils
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: John Rigby <john.rigby@linaro.org>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.3
Homepage: http://www.linaro.org
Vcs-Git: git://git.linaro.org/people/jcrigby/linaro-boot-utils.git

Package: linaro-boot-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utilities for booting development boards
 This package contains utilities useful for booting development boards
 with corrupt or no boot media over a USB or serial connection to a
 development host.

=== debian/rules ===
#!/usr/bin/make -f

deb_source := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
deb_version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
upstream_version := $(shell echo '$(deb_version)' | sed 's/.*://; s/-[^-]*$$//')

# --remote doesn't work with git.linaro.org so this needs to be
# run from a local checkout
get-orig-source:
	rm -rf $(deb_source)-$(upstream_version)
	rm -f $(deb_source)-$(upstream_version).orig.tar.gz
	git clone --depth 1 git://git.linaro.org/people/jcrigby/linaro-boot-utils.git $(deb_source)-$(upstream_version)
	cd $(deb_source)-$(upstream_version) && git archive \
		--format=tar \
		--prefix=$(deb_source)-$(upstream_version)/ \
		v$(upstream_version) \
		| gzip >../$(deb_source)_$(upstream_version).orig.tar.gz
	rm -rf $(deb_source)-$(upstream_version)

#export DH_VERBOSE=1

%:
	dh $@
